[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TLongintField.CheckRange

Check whether a valid is in the allowed range of values for the field

## Declaration

Source position: db.pas line 545

`public function TLongintField.CheckRange(`
`AValue: LongInt`
`):Boolean;`

## Arguments

`AValue` |  | Value to check

## Function result

true if AValue is in the allowed range of values.

## Description

CheckRange returns True if AValue lies within the range defined by the MinValue and MaxValue properties. If the value lies outside of the allowed range, then False is returned.

## See also

MaxValue |  | Maximum value for the field
MinValue |  | Minimum value for the field

The latest version of this document can be found at lazarus-ccr.sourceforge.net .